part of 'courierscubit.dart';

class CouriersState extends Equatable {
  const CouriersState(this.couriers, this.isLoading);

  final List<Courier> couriers;
  final bool isLoading;

  @override
  List<Object> get props => [couriers, isLoading];

  CouriersState copyWith({
    final List<Courier>? couriers,
    final bool? isLoading,
  }) =>
      CouriersState(
        couriers ?? this.couriers,
        isLoading ?? this.isLoading,
      );
}
