part of 'itemscubit.dart';

class ItemsState extends Equatable {
  const ItemsState(this.items, this.isLoading);

  final List<Item> items;
  final bool isLoading;

  @override
  List<Object> get props => [items, isLoading];

  ItemsState copyWith({
    final List<Item>? items,
    final bool? isLoading,
  }) =>
      ItemsState(
        items ?? this.items,
        isLoading ?? this.isLoading,
      );
}
