part of 'orderscubit.dart';

class OrdersState extends Equatable {
  const OrdersState(this.orders, this.isLoading);

  final List<Order> orders;
  final bool isLoading;

  @override
  List<Object> get props => [orders, isLoading];

  OrdersState copyWith({
    final List<Order>? orders,
    final bool? isLoading,
  }) =>
      OrdersState(
        orders ?? this.orders,
        isLoading ?? this.isLoading,
      );
}
